Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUBoundedRangeDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlValueDef
oracle.jbo.uicli.binding.JUCtrlAttrsDef
oracle.jbo.uicli.jui.JUBoundedRangeDef`

All Implemented Interfaces:
  ValidationManager

Direct Known Subclasses:
  JUProgressBarAttrDef, JUScrollBarAttrDef, JUSliderAttrDef

public class JUBoundedRangeDef
extends JUCtrlAttrsDef

Field Summary
`static java.lang.String` | `PNAME_Ext`
`static java.lang.String` | `PNAME_Horizontal`
`static java.lang.String` | `PNAME_Max`
`static java.lang.String` | `PNAME_Min`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`DEFAULT_HANDLER, PNAME_ApplyValidation, PNAME_AttrNames, PNAME_InputHandler, PNAME_ListNullValueId`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`protected` | `JUBoundedRangeDef()`
`protected` | `JUBoundedRangeDef(java.lang.String name, java.lang.String controlClassName, java.lang.String controlBindingClassName, java.lang.String iterBindingName, java.lang.String[] attrNames, int min, int max, int ext)`

Method Summary
`int` | `getExt()`
`int` | `getMax()`
`int` | `getMin()`
`void` | `init(java.util.HashMap initValues)`
`boolean` | `isHorizontal()`
`protected void` | `retrieveFromXML(DefElement xmlElement, java.util.HashMap valueTab)`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlAttrsDef
`createControlBindingInstance, initSubType`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`addValidator, createControlBinding, getAttrNames, getCustomInputHandler, getFirstAttrName, getIterBinding, getMessageBundleClass, getNullValueId, getNullValueObject, getValidators, hasCustomInputHandler, isApplyValidation, loadChildrenFromXML, loadCustomDef, loadFromXML, setApplyValidation, setCustomInputHandler, setNullValueObject`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, getXMLElementTag, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, isDirty, isNew, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Field Detail

### PNAME_Horizontal

    public static final java.lang.String PNAME_Horizontal

  See Also:
    Constant Field Values

### PNAME_Ext

    public static final java.lang.String PNAME_Ext

  See Also:
    Constant Field Values

### PNAME_Min

    public static final java.lang.String PNAME_Min

  See Also:
    Constant Field Values

### PNAME_Max

    public static final java.lang.String PNAME_Max

  See Also:
    Constant Field Values

Constructor Detail

### JUBoundedRangeDef

    protected JUBoundedRangeDef()

### JUBoundedRangeDef

    protected JUBoundedRangeDef(java.lang.String name,
                                java.lang.String controlClassName,
                                java.lang.String controlBindingClassName,
                                java.lang.String iterBindingName,
                                java.lang.String[] attrNames,
                                int min,
                                int max,
                                int ext)

Method Detail

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `JUCtrlValueDef`

### isHorizontal

    public boolean isHorizontal()

### getMin

    public int getMin()

### getMax

    public int getMax()

### getExt

    public int getExt()

### retrieveFromXML

    protected void retrieveFromXML(DefElement xmlElement,
                                   java.util.HashMap valueTab)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.